<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: ImageViewer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classImageViewer-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">ImageViewer Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A class for displaying images using SDL.  
 <a href="classImageViewer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="ImageViewer_8h_source.html">ImageViewer.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a968687d70a4f15be8442212da98ad36b"><td class="memItemLeft" align="right" valign="top"><a id="a968687d70a4f15be8442212da98ad36b" name="a968687d70a4f15be8442212da98ad36b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ImageViewer</b> ()</td></tr>
<tr class="memdesc:a968687d70a4f15be8442212da98ad36b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="classImageViewer.html" title="A class for displaying images using SDL.">ImageViewer</a> class. <br /></td></tr>
<tr class="separator:a968687d70a4f15be8442212da98ad36b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe2b04078dd9112aad6b104f1ac60359"><td class="memItemLeft" align="right" valign="top"><a id="afe2b04078dd9112aad6b104f1ac60359" name="afe2b04078dd9112aad6b104f1ac60359"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>~ImageViewer</b> ()</td></tr>
<tr class="memdesc:afe2b04078dd9112aad6b104f1ac60359"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="classImageViewer.html" title="A class for displaying images using SDL.">ImageViewer</a> class. <br /></td></tr>
<tr class="separator:afe2b04078dd9112aad6b104f1ac60359"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63bfac094cfe3ebb21687a60e801085f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImageViewer.html#a63bfac094cfe3ebb21687a60e801085f">afficher</a> (const <a class="el" href="classImage.html">Image</a> &amp;im)</td></tr>
<tr class="memdesc:a63bfac094cfe3ebb21687a60e801085f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays the image passed as a parameter and allows (de)zooming.  <br /></td></tr>
<tr class="separator:a63bfac094cfe3ebb21687a60e801085f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa79864891c52aff955d89f4b12cbbad6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImageViewer.html#aa79864891c52aff955d89f4b12cbbad6">aff</a> (const <a class="el" href="classImage.html">Image</a> &amp;im)</td></tr>
<tr class="memdesc:aa79864891c52aff955d89f4b12cbbad6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update the display with the given image.  <br /></td></tr>
<tr class="separator:aa79864891c52aff955d89f4b12cbbad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad94e08cc2e5d8068ebaee0661bb517c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImageViewer.html#aad94e08cc2e5d8068ebaee0661bb517c">updateSize</a> (const <a class="el" href="classImage.html">Image</a> &amp;im, int emX, int emY, int tX, int tY)</td></tr>
<tr class="memdesc:aad94e08cc2e5d8068ebaee0661bb517c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the size of the image.  <br /></td></tr>
<tr class="separator:aad94e08cc2e5d8068ebaee0661bb517c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A class for displaying images using SDL. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aa79864891c52aff955d89f4b12cbbad6" name="aa79864891c52aff955d89f4b12cbbad6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa79864891c52aff955d89f4b12cbbad6">&#9670;&#160;</a></span>aff()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ImageViewer::aff </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classImage.html">Image</a> &amp;&#160;</td>
          <td class="paramname"><em>im</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Update the display with the given image. </p>
<p>This function updates the display with the provided image.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">im</td><td>The image to be displayed. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a63bfac094cfe3ebb21687a60e801085f" name="a63bfac094cfe3ebb21687a60e801085f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63bfac094cfe3ebb21687a60e801085f">&#9670;&#160;</a></span>afficher()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ImageViewer::afficher </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classImage.html">Image</a> &amp;&#160;</td>
          <td class="paramname"><em>im</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Displays the image passed as a parameter and allows (de)zooming. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">im</td><td>The image to be displayed. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aad94e08cc2e5d8068ebaee0661bb517c" name="aad94e08cc2e5d8068ebaee0661bb517c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad94e08cc2e5d8068ebaee0661bb517c">&#9670;&#160;</a></span>updateSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ImageViewer::updateSize </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classImage.html">Image</a> &amp;&#160;</td>
          <td class="paramname"><em>im</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>emX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>emY</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>tX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>tY</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Updates the size of the image. </p>
<p>This function updates the size of the image based on the provided parameters.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">im</td><td>The image to be resized. </td></tr>
    <tr><td class="paramname">emX</td><td>The new size in the X dimension. </td></tr>
    <tr><td class="paramname">emY</td><td>The new size in the Y dimension. </td></tr>
    <tr><td class="paramname">tX</td><td>The transformation factor for the X dimension. </td></tr>
    <tr><td class="paramname">tY</td><td>The transformation factor for the Y dimension. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="ImageViewer_8h_source.html">ImageViewer.h</a></li>
<li>src/ImageViewer.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6
</small></address>
</body>
</html>
